import { renderless, api } from '@opentinyvue/vue-renderless/divider/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var classes = {
  "status-default": "border-color-border",
  "status-info": "border-color-brand",
  "status-warning": "border-color-warning",
  "status-success": "border-color-success",
  "status-error": "border-color-error"
};
var __vue2_script = defineComponent({
  props: [].concat(props, ["type", "vertical", "lineColor", "textPosition", "status", "margin", "offset", "fontSize", "height"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api,
      classes
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: _vm.m("overflow-hidden relative", _vm.vertical ? "inline-block w-px border-l" : "h-auto flex items-center justify-center w-full", _vm.gcls("status-" + _vm.status)),
    style: _vm.state.rootStyle,
    attrs: {
      "data-tag": "aui-divider"
    }
  }, [!_vm.vertical ? _c("div", {
    staticClass: "h-px w-full border-t",
    class: [_vm.gcls("status-" + _vm.status)],
    style: _vm.state.lineStyle
  }) : _vm._e(), !_vm.vertical ? _c("span", {
    ref: "text",
    staticClass: "absolute py-0 px-3.5 bg-white",
    style: _vm.state.textStyle
  }, [_vm._t("default")], 2) : _vm._e()]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
