import { renderless, api } from '@opentinyvue/vue-renderless/divider/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: ["tiny-divider", "tiny-divider--" + _vm.direction, _vm.direction === "vertical" ? "tiny-divider--" + _vm.status : ""],
    style: _vm.state.rootStyle
  }, [_vm.direction !== "vertical" ? _c("div", {
    class: ["tiny-divider-line", "tiny-divider--" + _vm.status],
    style: Object.assign({
      "border-color": _vm.color
    }, _vm.state.lineStyle)
  }) : _vm._e(), _vm.slots.default ? _c("div", {
    ref: "text",
    class: ["tiny-divider__text"],
    style: Object.assign({
      color: _vm.contentColor,
      "background-color": _vm.contentBackgroundColor
    }, _vm.state.textStyle)
  }, [_vm._t("default")], 2) : _vm._e()]);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  props: [].concat(props, ["direction", "color", "borderStyle", "contentPosition", "contentColor", "contentBackgroundColor", "status", "margin", "offset", "fontSize", "height"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
